
Redmine - Feature #524

Allow users to edit own custom fields and search for and view other users details

2007-12-19 13:13 - Ron Monson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently users can only edit non-custom fields via "My Account".  An enhancement would be nice that allows

them to edit their own custom fields as well.  For instance, an admin may create a quick bare-bones account for someone

and then it's up to the user to keep their phone number, cube number, etc. updated themselves.

In addition, it would be very nice to allow searches to find users as well.  Allowing searches on users would provide

a user "directory" of sorts.

I have implemented this in my local source and will submit this patch under "Patches".

Related issues:

Related to Redmine - Feature #242: Allow user to edit own custom fields + use... New

Related to Redmine - Feature #7484: User search for non-admins New 2011-01-28

Has duplicate Redmine - Feature #1658: Custom user fields are not available i... Closed 2008-07-17

History

#1 - 2008-03-27 18:17 - Jos Yule

This is related to Patch #242

#2 - 2011-03-23 10:34 - Toshi MARUYAMA

- Category set to Custom fields

#3 - 2012-12-18 07:49 - Daniel Felix

- Status changed from New to Closed

Well, most of this ticket is already implemented.

Just those request for searching users, or searching users by custom field is missing. This Feature is requested in #7484.

I think, this could be closed.
